From d1bd26b07f6597d46a1cb2a6f0a4af7b87b0fb4f Mon Sep 17 00:00:00 2001
From: Erlang/OTP <otp@erlang.org>
Date: Wed, 12 Jun 2019 09:51:26 +0200
Subject: [PATCH 35/73] Prepare release

---
 erts/doc/src/notes.xml          | 33 +++++++++++++++++++++++++++++++++
 erts/vsn.mk                     |  2 +-
 lib/compiler/doc/src/notes.xml  | 16 ++++++++++++++++
 lib/compiler/vsn.mk             |  2 +-
 lib/dialyzer/doc/src/notes.xml  | 16 ++++++++++++++++
 lib/dialyzer/vsn.mk             |  2 +-
 lib/ssl/doc/src/notes.xml       | 30 ++++++++++++++++++++++++++++++
 lib/ssl/vsn.mk                  |  2 +-
 lib/stdlib/doc/src/notes.xml    | 17 +++++++++++++++++
 lib/stdlib/src/stdlib.appup.src |  6 ++++--
 lib/stdlib/vsn.mk               |  2 +-
 make/otp_version_tickets        | 20 +++++++++-----------
 12 files changed, 130 insertions(+), 18 deletions(-)

diff --git a/erts/vsn.mk b/erts/vsn.mk
index 4d8282bf153..53dce5e8157 100644
--- a/erts/vsn.mk
+++ b/erts/vsn.mk
@@ -18,7 +18,7 @@
 # %CopyrightEnd%
 # 
 
-VSN = 10.4.1
+VSN = 10.4.2
 
 # Port number 4365 in 4.2
 # Port number 4366 in 4.3
diff --git a/lib/compiler/vsn.mk b/lib/compiler/vsn.mk
index 090579e7eed..508bbc902c0 100644
--- a/lib/compiler/vsn.mk
+++ b/lib/compiler/vsn.mk
@@ -1 +1 @@
-COMPILER_VSN = 7.4.1
+COMPILER_VSN = 7.4.2
diff --git a/lib/dialyzer/vsn.mk b/lib/dialyzer/vsn.mk
index 95984c7c85c..466bbfd0f23 100644
--- a/lib/dialyzer/vsn.mk
+++ b/lib/dialyzer/vsn.mk
@@ -1 +1 @@
-DIALYZER_VSN = 4.0
+DIALYZER_VSN = 4.0.1
diff --git a/lib/ssl/vsn.mk b/lib/ssl/vsn.mk
index cbc32cd5a88..4e387fa403e 100644
--- a/lib/ssl/vsn.mk
+++ b/lib/ssl/vsn.mk
@@ -1 +1 @@
-SSL_VSN = 9.3.1
+SSL_VSN = 9.3.2
diff --git a/lib/stdlib/src/stdlib.appup.src b/lib/stdlib/src/stdlib.appup.src
index 4990c81dfee..0c270e9dd51 100644
--- a/lib/stdlib/src/stdlib.appup.src
+++ b/lib/stdlib/src/stdlib.appup.src
@@ -40,7 +40,8 @@
   {<<"^3\\.8\\.1(?:\\.[0-9]+)*$">>,[restart_new_emulator]},
   {<<"^3\\.8\\.2(?:\\.[0-9]+)*$">>,[restart_new_emulator]},
   {<<"^3\\.9$">>,[restart_new_emulator]},
-  {<<"^3\\.9\\.0(?:\\.[0-9]+)+$">>,[restart_new_emulator]}],
+  {<<"^3\\.9\\.0(?:\\.[0-9]+)+$">>,[restart_new_emulator]},
+  {<<"^3\\.9\\.1(?:\\.[0-9]+)*$">>,[restart_new_emulator]}],
  [{<<"^3\\.5$">>,[restart_new_emulator]},
   {<<"^3\\.5\\.0(?:\\.[0-9]+)+$">>,[restart_new_emulator]},
   {<<"^3\\.5\\.1(?:\\.[0-9]+)*$">>,[restart_new_emulator]},
@@ -54,4 +55,5 @@
   {<<"^3\\.8\\.1(?:\\.[0-9]+)*$">>,[restart_new_emulator]},
   {<<"^3\\.8\\.2(?:\\.[0-9]+)*$">>,[restart_new_emulator]},
   {<<"^3\\.9$">>,[restart_new_emulator]},
-  {<<"^3\\.9\\.0(?:\\.[0-9]+)+$">>,[restart_new_emulator]}]}.
+  {<<"^3\\.9\\.0(?:\\.[0-9]+)+$">>,[restart_new_emulator]},
+  {<<"^3\\.9\\.1(?:\\.[0-9]+)*$">>,[restart_new_emulator]}]}.
diff --git a/lib/stdlib/vsn.mk b/lib/stdlib/vsn.mk
index cc0ab6684ca..c2f586fef5f 100644
--- a/lib/stdlib/vsn.mk
+++ b/lib/stdlib/vsn.mk
@@ -1 +1 @@
-STDLIB_VSN = 3.9.1
+STDLIB_VSN = 3.9.2
diff --git a/make/otp_version_tickets b/make/otp_version_tickets
index a9ca1cb1312..e071f1a4307 100644
--- a/make/otp_version_tickets
+++ b/make/otp_version_tickets
@@ -1,11 +1,9 @@
-OTP-15828
-OTP-15829
-OTP-15832
-OTP-15834
-OTP-15838
-OTP-15839
-OTP-15841
-OTP-15845
-OTP-15846
-OTP-15847
-OTP-15848
+OTP-15844
+OTP-15861
+OTP-15862
+OTP-15864
+OTP-15865
+OTP-15871
+OTP-15872
+OTP-15873
+OTP-15875

